License Plate OCR API Documentation
Welcome to Vehicle Databases API's Documentation
License Plate OCR
POSTRate LimitedJSON ResponseOverview
This API endpoint returns the license plate number and state from the license plate image.
- For USA
- This API endpoint returns the license plate number and state from the license plate image.
- For UK
- This API endpoint returns the license plate number from the license plate image.
- Supported Formats
- PNG, JPG, and JPEG image formats are supported.
HTTP Request
Endpoint
POST
https://api.vehicledatabases.com/licenseplate-ocrRequest
import requests
response = requests.post(
"https://api.vehicledatabases.com/licenseplate-ocr",
headers={"x-authkey":"YOUR_API_KEY"}
files=[
('file',('test.jpg',open('test.jpg','rb'),'image/jpeg'))
]
)
print(response.json())GET Parameters
fileRequired- Image having a licence plate
JSON Response
This API returns lincese plate number and state.
status- success or error
data- Provides license plate and state
Example Response US
{
"status": "success",
"data": {
"plate": "CN31613",
"state": "IL"
}
}Example Response UK
{
"status": "success",
"data": {
"plate": "WJ59FHA",
"state": "UK"
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400No Record(s) were found.Check the uploaded image that license plate is clearly visible.
401Invalid API key.Provide a valid API key.
404API endpoint not foundCheck the API endpoint URL.
429Rate limit exceededReduce request frequency to comply with rate limits.